LDCONFIG(8)

NOME
ldconfig - configura o conector dinâmico de ligacões em tempo de execução

SINOPSE
/sbin/ldconfig [-nNvXV] [-f conf] [-C cache] [-r raiz] diretório...
/sbin/ldconfig -l [-v] biblioteca...
/sbin/ldconfig -p

DESCRIÇÃO
ldconfig cria os links e o cache necessários para as bibliotecas compartilhadas mais recentes, encontradas nos diretórioss especificados na linha de comando, no arquivo /etc/ld.so.conf, e nos diretórios confiáveis (/lib e /usr/lib). (em algumas arquiteturas de 64 bits, como x86-64, /lib e /usr/lib são os diretórios confiáveis para bibliotecas de 32 bits, enquanto /lib64 e /usr/lib64 são usados para bibliotecas de 64 bits).

O cache é usado pelo conector em tempo de execução, ld.so ou ld-linux.so. ldconfig verifica o cabeçalho e os nomes de arquivo das bibliotecas que ele encontra, determinando quais versões deverão ter seus links atualizados.

ldconfig tentará deduzir o tipo de bibliotecas ELF (isto é, libc5 ou libc6/glibc) com base em quais bibliotecas C, se houver, a biblioteca foi vinculada.

Algumas bibliotecas existentes não contêm informação suficiente para permitir a dedução do seu tipo. Entretanto, o formato de arquivo /etc/ld.so.conf permite a especificação de um tipo esperado. Isto é usado somente para aquelas bibliotecas ELF que nos não podemos deduzir. O formato é deste tipo "dirname=TIPO", onde TIPO pode ser libc4, libc5 ou libc6. (Esta sintaxe também funciona na linha de comando). Espaços não são permitidos. Veja também a opção -p. ldconfig que deveria, normalmente, ser executada pelo superusuário, pois ela pode necessitar de permissões de escrita em alguns diretórios e arquivos pertencentes ao "root".

Observe que ldconfig só examinará arquivos denominados lib*.so* (para objetos compartilhados regulares) ou ld-*.so* (para o próprio carregador dinâmico). Outros arquivos serão ignorados. Além disso, ldconfig espera um certo padrão de como os links simbólicos são configurados, como este exemplo, onde o arquivo do meio (libfoo.so.1 aqui) é o SONAME para a biblioteca:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

O não cumprimento desse padrão pode resultar em problemas de compatibilidade após uma atualização.

OPÇÕES

-c fmt, --format=formato
    (Desde glibc 2.2) Formato de cache a ser usado: old, new ou compat. Desde glibc 2.32, o padrão é new. Antes, era compat.

-C cache
    Use o cache ao invés de /etc/ld.so.cache.

-f conf
    Use conf ao invés de /etc/ld.so.conf.

-i, --ignore-aux-cache
    (Desde glibc 2.7) Ignora o arquivo de cache auxiliar.

-l  (Desde glibc 2.2) Modo biblioteca. Conecta manualmente bibliotecas individuais. Destinado somente para especialistas.

-n  Somente processa diretórios especificados na linha de comando. Não processa diretórios confiáveis nem aqueles especificados em /etc/ld.so.conf. Implica em -N.

-N  Não reconstrói o cache. A menos que -X seja também especificado, links ainda são atualizados.

-p, --print-cache
    Imprime a lista de diretórios e bibliotecas candidatas, armazenadas no cache atual.

-r raiz
    Muda para raiz e usa como o diretório raíz.

-v, --verbose
    Modo verboso. Imprime o número da versão atual, o nome de cada diretório assim que ele for verificado e qualquer link for criada. Suplanta o modo 'quiet'.

-V, --version
    Mostra a versão do programa.

-X  Não atualiza links. A menos que -N seja também especificado, o cache ainda é reconstruído.

ARQUIVOS
/lib/ld.so
    Conector/carregador em tempo de execução.
/etc/ld.so.conf
    Arquivo contendo uma lista de diretórios, um por linha, nos quais se procura por bibliotecas.
/etc/ld.so.cache
    Arquivo contendo uma lista ordenada das bibliotecas encontradas nos diretórios especificados em /etc/ld.so.conf, bem como aqueles encontrados nos diretórios confiáveis.

VEJA TAMBÉM
ldd(1), ld.so(8)

COLOFÃO
Esta página faz parte da versão 5.10 do projeto Linux man-pages. Uma descrição do projeto, informações sobre relatórios de bugs e a versão mais recente desta página podem ser encontradas em https://www.kernel.org/doc/man-pages/.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Ricardo C.O.Freitas <english.quest@best-service.com>, André Luiz Fassone <lonely_wolf@ig.com.br> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).